%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Module-Signature

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Module signature file manipulation
Name:		perl-%{perlname}
Version:	0.55
Release:	1
License:	MIT
URL:		http://search.cpan.org/search?module=Module+Signature
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	gnupg
BuildRequires:	perl-PAR-Dist

%description
Module signature file manipulation
For more details see: http://search.cpan.org/~autrijus/Module-Signature

%prep
%setup -q -n %{perlname}-%{version}

%build
# answer the question
echo "y" | perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir
%_bindir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.55-1
- Version Update
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 0.50-3
- Rebuild against perl-5.8.8
* Mon Dec 05 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.50-2
- Rebuild against perl-5.8.7
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.50-1
- Initial Release
